Bug 239574

Summary: security/lego: Update to 2.7.2
Product: Ports & Packages Reporter: Matthew Horan <matt>
Component: Individual Port(s)Assignee: Steve Wills <swills>
Status: Closed FIXED    
Severity: Affects Only Me CC: peter
Priority: ---    
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
Update security/lego to 2.7.2
none
Update security/lego to 3.0.0
none
Update security/lego to 3.0.2 none

Description Matthew Horan 2019-08-01 11:34:39 UTC
Created attachment 206193 [details]
Update security/lego to 2.7.2
Comment 1 Matthew Horan 2019-08-09 02:05:02 UTC
Created attachment 206384 [details]
Update security/lego to 3.0.0

lego 3.0.0 has been released. lego now uses go modules instead of vendored packages. This patch updates the port to use go modules and GH_TUPLE to vendor dependencies.

Note that one dependency is referenced by multiple names, requiring a post-extract hack.
Comment 2 peter 2019-08-14 17:13:15 UTC
Lego v3.0.0 fixed some critical issues.
Please, update the port.
Comment 3 Matthew Horan 2019-08-15 20:24:48 UTC
Created attachment 206593 [details]
Update security/lego to 3.0.2

Latest version is now 3.0.2; patch attached.
Comment 4 commit-hook freebsd_committer 2019-09-02 22:49:14 UTC
A commit references this bug:

Author: swills
Date: Mon Sep  2 22:48:48 UTC 2019
New revision: 510881
URL: https://svnweb.freebsd.org/changeset/ports/510881

Log:
  security/lego: update to 2.7.2

  PR:		239574
  Submitted by:	Matthew Horan <matt@matthoran.com> (maintainer)

Changes:
  head/security/lego/Makefile
  head/security/lego/distinfo
Comment 5 Steve Wills freebsd_committer 2019-09-02 22:49:52 UTC
Committed, thanks!